<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
$objetocalculo = new calculos(); //calcula todos valores finais
$objetoValidacao = new validacao(); //calcula todos valores finais
$sessao = new sessao();
$anoCorrente=$sessao->getVar('anocorrente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$anoCorrente=$sessao->getVar('anocorrente');
$anoatual=date("Y");
$dataHoje=date("d/m/Y");



$mes=date("m");
$mostrarGeral="SIM";
/*
OBSERVACAO IMPORTANTE COM RELACAO AO ANO CORRENTE E  ano ATUAL
O ano corrente pode nao ser o ano atual, pois o ano corrente é o ano de pesquisa. 
Neste modulo, so vai poder cadatrar amostras do ano atual.
Situação possivel:Estar pesquisando amostras dum ano anterior e subitamente
 resolve cadastrar uma amostra que apareceu, então
o sistema deve gravar o ano atual e nao ERRADAMENTE o ano corrente da pesquisa!!!
*/ 

//echo("Módulo amostras  Material= $material tipo= $tipopesquisa <br>");


$dt_entrada=date("d/m/Y");		
switch ($tela):
    case 'resumo_diario':
		$generica=new tabelagenerica();
        $generica1=new tabelagenerica();
	/*
	Este segmento vai relatar o seguinte
	1)se pagou entao tem uma data(imutavel)
	2)fez pedido entao tem data
	3)relatar pedidos nao quitados emt tantos dias(7 dias))
	4)relatar pedidos nao quitados em tantos dias (20 dias))
	*/
	
	
    $dataDiario=post('dataDiario');
	if(empty($dataDiario))$dataDiario=$dataHoje;
	
	if(post('formarRelatorio') !== ""):
	   //echo("enrou no comando formar relatorio datadiario= $dataDiario<br>");

	endif;
	
	
	   if(post('imprimirDiario') !== ""):
	      $mesEscolhido=post('mesEscolhido');
          //echo("mesescolhido  $mesEscolhido ano exportavel=$ano<br>");
		  $sessao->setVar('controle',$dataDiario);		      
          echo '<iframe src="imprimirDiario.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
	   endif;





		//aqui vai criar as linhas do relatorio, que depois imprime tudo numa vez
		$valorNovo=0;
		$valorNovo++;
		$matrizDiario[$valorNovo]='-->>>Amostras que entraram no dia '.$dataDiario;
        //ENTRA DE QUAKQUER MANEIRA para achar o nome do cliente e o numero do pedido
        $somaGeralServicoDiario=0;
        $somaGeralRecebidoDiario=0;

		$generica->tabela="ficha,remetente,especies,cultivar";
			$generica->campos_valores = array(
			"fic_amostra" => NULL,
			"fic_amostra_previa" => NULL,
			"fic_custo" => NULL,
			"fic_pagou" => NULL,
			"fic_id" => NULL,
			"prd_nome" => NULL,
			"esp_nome" => NULL,


			);
		$generica->extras_select ="  where esp_id=ctv_especie and ctv_id=fic_cultivar and fic_produtor=prd_id and date_format(fic_dt_entrada, '%d/%m/%Y') = '".$dataDiario."'   and fic_labo=".$idLabo." order by prd_nome";
	    $generica->selecionaCampos($generica);
        $remetente0='@';
		while ($resgenerica = $generica->retornaDados()):
		    $remetente1=$resgenerica->prd_nome;
		    $amostraLong =$resgenerica->fic_id;
		    $pagou =$resgenerica->fic_pagou;
		    if($remetente1!=$remetente0):
               $somaPagou=0;			
               $somaValor=0;			
               $remetente0=$remetente1;
			   $valorNovo++;
			endif;             
            $custo=$resgenerica->fic_custo;
			$somaValor+=$custo;
			$somaGeralServicoDiario+=$custo;
            if($pagou=='SIM'):
			    $somaPagou+=$custo; 
				$somaGeralRecebidoDiario+=$custo;

            endif;
            $matrizDiario[$valorNovo]="  Cliente:". $resgenerica->prd_nome.  " >> Valor da(s) amostra(s)=".$somaValor.' >> Pagou='.$somaPagou; 
		endwhile;	
   
 
 if($somaGeralServicoDiario>0  || $somaGeralRecebidoDiario>0 ):
    $valorNovo++;
    $matrizDiario[$valorNovo]="Resumo do dia ".$dataDiario." Servicos=". $somaGeralServicoDiario.  "  Recebido=".$somaGeralRecebidoDiario; 
 endif;

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//AQUI VAI RELACIONAR TODAS AMOSTRAS QUE FOI PAGO NO DIA ATRAVES DO CAMPO FIC_DT_PAGOU que é um campo date permitundo buscas
//E SEU PREENCHIMENTO É AUTOMATICO NO DIA QUE FOI RELAMENTE TIRADO O COMROVANTE
		//aqui vai criar as linhas do relatorio, que depois imprime tudo numa vez
		//$valorNovo=0;
		$valorNovo++;
		$matrizDiario[$valorNovo]='-->>>Amostras pagas no  dia '.$dataDiario;
        //ENTRA DE QUAKQUER MANEIRA para achar o nome do cliente e o numero do pedido
        $somaGeralServicoDiario=0;
        $somaGeralRecebidoDiario=0;
		$dataDiarioAmericana=$objetoValidacao->converteDataBrasil_americana($dataDiario);
		$generica->tabela="ficha,remetente,especies,cultivar";
			$generica->campos_valores = array(
			"fic_amostra" => NULL,
			"fic_amostra_previa" => NULL,
			"fic_custo" => NULL,
			"fic_pagou" => NULL,
			"fic_dt_pagou" => NULL,
			"fic_id" => NULL,
			"prd_nome" => NULL,
			"esp_nome" => NULL,
			);
		//$generica->extras_select ="  where esp_id=ctv_especie and ctv_id=fic_cultivar and fic_produtor=prd_id and date_format(fic_dt_pagou, '%d/%m/%Y') = '".$dataDiarioAmericana."'   and fic_labo=".$idLabo." order by prd_nome";
		$generica->extras_select ="  where esp_id=ctv_especie and ctv_id=fic_cultivar and fic_produtor=prd_id and fic_dt_pagou = '".$dataDiarioAmericana."'   and fic_labo=".$idLabo." order by prd_nome";
		//echo ("extra=$generica->extras_select  dataDiario=$dataDiario<br>");
		
	    $generica->selecionaCampos($generica);
        $remetente0='@';
		while ($resgenerica = $generica->retornaDados()):
		    $remetente1=$resgenerica->prd_nome;
		    $amostraLong =$resgenerica->fic_id;
		    $pagou =$resgenerica->fic_pagou;
		    if($remetente1!=$remetente0):
               $somaPagou=0;			
               $somaValor=0;			
               $remetente0=$remetente1;
			   $valorNovo++;
			endif;             
            $custo=$resgenerica->fic_custo;
			$somaValor+=$custo;
			$somaGeralServicoDiario+=$custo;
            if($pagou=='SIM'):
			    $somaPagou+=$custo; 
				$somaGeralRecebidoDiario+=$custo;
            endif;
            $matrizDiario[$valorNovo]="  Cliente:". $resgenerica->prd_nome.  " >> Valor da(s) amostra(s)=".$somaValor.' >> Pagou='.$somaPagou; 
		endwhile;	
  
 
 if($somaGeralServicoDiario>0  || $somaGeralRecebidoDiario>0 ):
    $valorNovo++;
    $matrizDiario[$valorNovo]="Resumo(Soma) do dia ".$dataDiario." Pagamento de cliente.  Recebido=".$somaGeralRecebidoDiario; 
 endif;
/////////////final do relatorio diario de aamostras pagas no dia/////////////////////////////


       //pesquisar pagamentos xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx		
		$valorNovo++;
		$matrizDiario[$valorNovo]='-->>>Pagamentos(Saidas de dinheiro do lab) registrados no dia '.$dataDiario;
		//ENTRA DE QUAKQUER MANEIRA
		$generica1=new tabelagenerica();
		$generica1->tabela="pagamento,remetente";
		$generica1->campos_valores = array(
				"pag_valor" => NULL,
				"pag_historico" => NULL,
				"pag_operador" => NULL,
				"prd_nome" => NULL,
		);
		$generica1->extras_select =" where date_format(pag_datacad, '%d/%m/%Y') = '".$dataDiario."' and   pag_id_cliente=prd_id and pag_id_lab=".$idLabo;
	    $generica1->selecionaCampos($generica1);
		$somaPagamento=0;
		while ($resgenerica1 = $generica1->retornaDados()):
	        $valorNovo++;
		    $somaPagamento+=$resgenerica1->pag_valor;
		$matrizDiario[$valorNovo]='Cliente:'.$resgenerica1->prd_nome. ' >>  Valor Pago='.$resgenerica1->pag_valor . ' >> Hist.:'.$resgenerica1->pag_historico. ' >> Operador: '.$resgenerica1->pag_operador;
	    endwhile;				

	    $valorNovo++;
		$matrizDiario[$valorNovo]='Soma dos pagamentos do dia '. $dataDiario ."   Soma=".$somaPagamento;


		
		$limite=sizeof($matrizDiario)+1;
		
	    loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
		?>
		<font color="red"><h2><?php echo($cabecalhoTela)?></h2></font>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum pedido econtrado para este cliente.",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "sScrollX": "800px",
                "bPaginate": false,
                "aaSorting": [] 
               }); 
            });
			//em vez do zero colocando 1 para ordenar pela coluna 1
        </script>
		
		
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
 	               <th>Ocorrencias</th>

                </tr>
            </thead>
            <tbody>
            <?php 
            for($i=1;$i<=$limite;$i++):
         
		       echo("<tr>");
               printf('<td>%s</td>',$matrizDiario[$i] );
			
			   echo("</tr>");
            endfor;   			
			
			$generica=new tabelagenerica();
			


                ?>
            </tbody>
        </table>
			       <form class="userform" method="post" action="">
				   <br>
				   <fieldset>
					<table  width="800">
					
                        <tr>
                        <td>
						Dia:
                        <input type="text" size="10" maxlength="10"	name="dataDiario" value="<?php echo $dataDiario;?>"/>					
						<input type="submit" name="formarRelatorio"   value="Formar relatório diario" />
						
						<input type="submit" name="imprimirDiario"   value="Imprimir o Diario" />
   						</td>
                        </tr>
                    </table>
					</fieldset>
	             </<form>
		Orientação: Se quiser ver mais detalhes sobre as amostras recebidas e todos pagamentos de um determinado cliente, inclusive na tela registrar um PAGAMENTO, então clique em FINANCEIRO-->CLIENTE SELECIONADO<br>
		
		
		
		
       <?php
	
	break;//final do resumo diario



	
	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>